## ros-melodic-dccomms-ros-msgs 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dccomms_ros_msgs)

find_package(catkin REQUIRED
        roscpp
        rospy
	std_msgs
	std_srvs
	message_generation
	actionlib
	actionlib_msgs
)

 add_service_files(
   DIRECTORY srv
   FILES
   AddAcousticDevice.srv
   CheckDevice.srv
   CheckChannel.srv
   RemoveDevice.srv
   AddAcousticChannel.srv
   LinkDeviceToChannel.srv
   StartSimulation.srv
   AddCustomDevice.srv
   AddCustomChannel.srv
 )

 generate_messages(
   DEPENDENCIES
   roscpp
   std_msgs
   actionlib_msgs
 )


catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS
       roscpp
       std_msgs
       actionlib_msgs
       message_runtime
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-dccomms-ros-msgs (0.0.3-1stretch) stretch; urgency=high



 -- Diego Centelles <centelld@uji.es>  Sat, 14 Mar 2020 23:00:00 -0000

ros-melodic-dccomms-ros-msgs (0.0.2-1stretch) stretch; urgency=high



 -- Diego Centelles <centelld@uji.es>  Fri, 15 Nov 2019 23:00:00 -0000

ros-melodic-dccomms-ros-msgs (0.0.1-1stretch) stretch; urgency=high



 -- Diego Centelles <centelld@uji.es>  Sat, 09 Nov 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-dccomms-ros-msgs
Section: misc
Priority: extra
Maintainer: Diego Centelles <centelld@uji.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dccomms-ros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs
Description: The dccomms_ros_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dccomms-ros-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
